%define dist Apache-DBI

Name: perl-%dist
Version: 1.06
Release: alt1

Summary: Persistent database connections for mod_perl
License: GPL or Artistic
Group: Development/Perl

URL: %CPAN %dist
Source: http://www.cpan.org/modules/by-module/Apache/Apache-DBI-%version.tar.gz

BuildArch: noarch

# Automatically added by buildreq on Sat Jan 20 2007 (-bi)
BuildRequires: apache-mod_perl perl-DBI perl-Digest-SHA1

%description
Apache::DBI and Apache::AuthDBI modules are supposed to be used with the
Apache server together with an embedded perl interpreter like mod_perl.
They provide support for basic authentication and authorization as well
as support for persistent database connections via Perl's Database
Independent Interface (DBI).

%prep
%setup -q -n %dist-%version

%build
%ifdef __buildreqs
# avoid build dependency on MySQL-server
%def_without test
%endif

%perl_vendor_build

%install
%perl_vendor_install
rm -f %buildroot/.perl.req

%files
%doc Changes README traces.txt eg
%perl_vendor_privlib/Apache
%perl_vendor_man3dir/*

%changelog
* Wed Apr 11 2007 Victor Forsyuk <force@altlinux.org> 1.06-alt1
- 1.06

* Sat Jan 20 2007 Victor Forsyuk <force@altlinux.org> 1.05-alt1
- 1.05

* Thu Dec 23 2004 Alexey Tourbin <at@altlinux.ru> 0.94-alt1
- NMU: 0.91 -> 0.94
- manual pages not packaged (use perldoc)
- BuildArch: noarch
- specfile cleanup

* Wed Jul 28 2004 Maxim Tkachenko <tma@altlinux.ru> 0.91-alt1
- build for AltLinux
